PETSc version 3.17.4
Fix/Edit manual page

# PetscViewerHDF5HasDataset

Check whether a given dataset exists in the HDF5 file

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasDataset(PetscViewer viewer, const char path[], PetscBool *has)

Collective

### Input Parameters

| viewer | - The HDF5 viewer
| path | - The dataset path

### Output Parameter

| has | - Flag whether dataset exists

### Notes

If path starts with '/', it is taken as an absolute path overriding currently pushed group, else path is relative to the current pushed group. If path is NULL or empty, has is set to PETSC_FALSE. If path exists but is not a dataset, has is set to PETSC_FALSE as well.

### See Also

PetscViewerHDF5HasObject(), PetscViewerHDF5HasAttribute(), PetscViewerHDF5HasGroup(), PetscViewerHDF5PushGroup(), PetscViewerHDF5PopGroup(), PetscViewerHDF5GetGroup()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages